Bug 559409 - [abrt] crash in audacious-2.2-7.fc12 : mowgli_object_unref double-free/corruption in entry_set_tuple_real (with mp3 streaming)
Summary: [abrt] crash in audacious-2.2-7.fc12 : mowgli_object_unref double-free/corru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7a006fb9cd49ee06ec2a79a3dc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-28 02:22 UTC by Christopher Beland
Modified: 2010-02-02 01:10 UTC (History)
2 users (show)

Fixed In Version: 0.4-1.fc12.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:10:58 UTC


Attachments (Terms of Use)
File: backtrace (33.19 KB, text/plain)
2010-01-28 02:22 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2010-01-28 02:22:23 UTC
abrt 1.0.4 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: audacious myliferemix.mp3
comment: Crashed while listening to the State of the Union via MP3 stream, after previously listening to local mp3s.
component: audacious
executable: /usr/bin/audacious2
kernel: 2.6.31.12-174.2.3.fc12.i686
package: audacious-2.2-7.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)
release: Fedora release 12 (Constantine)

Comment 1 Christopher Beland 2010-01-28 02:22:25 UTC
Created attachment 387212 [details]
File: backtrace

Comment 2 Michael Schwendt 2010-01-28 09:27:27 UTC
Note that "madplug" for MP3 is from a 3rd party package. It is not clear yet how much of the Audacious damage stems from the madplug plugin. Yesterday I filed a second memory corruption issue about it (AUDPLUG-177).

The backtrace is somewhat incomplete. My one has more details, see:
http://jira.atheme.org/browse/AUD-136

Comment 3 Michael Schwendt 2010-01-28 13:17:58 UTC
Please try
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1949747
which will be enter updates-testing later.

Comment 5 Fedora Update System 2010-02-01 01:24:43 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugin-fc audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0028

Comment 6 Fedora Update System 2010-02-02 01:10:04 UTC
audacious-plugin-fc-0.4-1.fc12.2, audacious-plugins-2.2-10.fc12.pl14, audacious-2.2-10.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.